/*
 *  File:		memutils.h
 *  Function:	header for memory utilities
 *  Author:		Paul Elseth
 *				Copyright (c) 1991, Paul Elseth
 *
 *	Change History:
 *
 *		12/04/91	PBE		created
 */

#ifndef	__MEMUTILS__
#define	__MEMUTILS__

#ifndef __TYPES__
#include <TYPES.h>
#endif

short	GetNewHandle(long size, Handle *h);
short	GetNewPtr(long size, Ptr *p);
short	DisposePtr(Ptr p);
short	DisposeIfHandle(Handle h);
short	DisposeIfPtr(Ptr p);
short	HGetState(Handle h);
void	HSetState(Handle h, short state);

#endif	/* __MEMUTILS__ */
